> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Test Cases

> List all test cases for a project

## Request

```bash theme={null}
GET https://api.pathors.com/v1/projects/{projectId}/test-cases
```

### Path Parameters

<ParamField path="projectId" type="string" required>The project ID</ParamField>

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer token using your developer key
</ParamField>

## Response

<ResponseField name="data" type="array">
  Array of test case objects with `id`, `name`, `systemPrompt`, `maxTurns`, `variables`, and `acceptanceCriteria`.
</ResponseField>

### Example

```bash theme={null}
curl https://api.pathors.com/v1/projects/{projectId}/test-cases \
  -H "Authorization: Bearer dk_your_key"
```

```json theme={null}
{
  "data": [
    {
      "id": "test-case-uuid",
      "projectId": "project-uuid",
      "name": "Greeting flow",
      "systemPrompt": "You are a helpful assistant",
      "maxTurns": 5,
      "variables": {},
      "acceptanceCriteria": [
        {
          "id": "criterion-uuid",
          "testCaseId": "test-case-uuid",
          "description": "Agent should greet the user"
        }
      ],
      "createdAt": "2026-03-23T00:00:00.000Z",
      "updatedAt": "2026-03-23T00:00:00.000Z"
    }
  ]
}
```
